Bug 508633 - require enchant instead of aspell
require enchant instead of aspell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-dict (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 05:18 EDT by Caolan McNamara
Modified: 2009-10-06 06:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.5.3-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 12:28:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
e.g. this patch to the spec (1.94 KB, patch)
2009-06-29 05:20 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2009-06-29 05:18:52 EDT
Description of problem:
xfce4-dict actually prefers "enchant" over "aspell" if it is available, which is a good thing as it fits with the fedora policy for dictionaries (http://fedoraproject.org/wiki/Releases/FeatureDictionary) and gives the same suggestions and language support as in OpenOffice.org/Firefox/Evolution etc.

So we should require enchant instead of aspell to reflect xfce4-dicts preference


Version-Release number of selected component (if applicable):
xfce4-dict-0.5.3.1

[caolan@Vain ~]$ strace -f xfce4-dict 2>&1 | grep usr\/bin
execve("/usr/bin/xfce4-dict", ["xfce4-dict"], [/* 42 vars */]) = 0
access("/usr/bin/bug-buddy", X_OK)      = 0
stat64("/usr/bin/bug-buddy", {st_mode=S_IFREG|0755, st_size=64624, ...}) = 0
access("/usr/bin/enchant", X_OK)        = 0
stat64("/usr/bin/enchant", {st_mode=S_IFREG|0755, st_size=13148, ...}) = 0
[pid 24625] execve("/usr/bin/enchant", ["/usr/bin/enchant", "-a", "-d", "en_IE"], [/* 42 vars */] <unfinished ...>
Comment 1 Caolan McNamara 2009-06-29 05:20:00 EDT
Created attachment 349759 [details]
e.g. this patch to the spec
Comment 2 Caolan McNamara 2009-06-30 12:28:25 EDT
took it upon myself to do this
Comment 3 Christoph Wickert 2009-06-30 13:34:37 EDT
Why? Was this a critical bug that needed to be fixed ASAP? Why only wait 28 hrs? I wasn't not even home from FUDCon when you filed the bug.

Proven packagers are allowed to touch others packages when there is an urgent need (secutity, bugs). This was not the case and therefor IMHO you misused your privileges.
Comment 4 Fedora Update System 2009-09-20 17:46:14 EDT
xfce4-dict-0.5.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xfce4-dict-0.5.3-2.fc11
Comment 5 Fedora Update System 2009-09-20 17:49:12 EDT
xfce4-dict-0.5.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfce4-dict-0.5.3-2.fc10
Comment 6 Fedora Update System 2009-09-29 10:35:57 EDT
xfce4-dict-0.5.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-10-06 06:11:35 EDT
xfce4-dict-0.5.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.